# lib.sh is library of common shell functions for topo-*

# `xunshare <dir> ...`  -- unshare net/mount/... namespaces to be referenced by dir
xunshare() {
    ref=$1
    shift
    rm -rf "$ref"
    mkdir "$ref"
    touch $ref/mnt $ref/net
    unshare --mount=$ref/mnt --net=$ref/net "$@"
}

# `xnsenter <dir> ...`  -- nsenter net/mount/... namespaces to be referenced by dir
xnsenter() {
    ref=$1
    shift
    nsenter --mount=$ref/mnt --net=$ref/net --wd=. "$@"
}
